{% extends 'base.html' %}

{% block title %}
	Add Task
{% endblock %}

{% block content %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Add A Task</h1>
				{% if error == True %}
					<p class="text-danger">Duplicate task found</p>
				{% endif %}
				<form action="{% url 'todolist:add_task' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
						<label for="task_name">Task Name: </label>
						<input class="form-control" id="task_name" type="text" name="task_name" value="{{ task_name }}" maxlength="50" required>
					</div>

					<div class="mb-3">
						<label for="description">Description: </label>
						<textarea class="form-control" name="description" value="{{ description }}" required></textarea>
					</div>

					<div class="text-center">
						<input class="btn btn-success" type="submit" value="Add Task">
					</div>

				</form>
			</div>
		</div>
	</div>
{% endblock %}
